# Uses of Class
com.ngrok.definitions.EndpointRequestHeaders

Packages that use EndpointRequestHeaders
Package
Description
com.ngrok.definitions
com.ngrok.services

- ## Uses of EndpointRequestHeaders in com.ngrok.definitions

  Methods in com.ngrok.definitions that return EndpointRequestHeaders
  Modifier and Type
  Method
  Description
  `EndpointRequestHeaders`
  EndpointRequestHeaders.Builder.`build()`
  Constructs the `EndpointRequestHeaders` instance.
  Methods in com.ngrok.definitions that return types with arguments of type EndpointRequestHeaders
  Modifier and Type
  Method
  Description
  `Optional<EndpointRequestHeaders>`
  HttpsEdgeRoute.`getRequestHeaders()`
  request headers module configuration or `null`

- ## Uses of EndpointRequestHeaders in com.ngrok.services

  Methods in com.ngrok.services that return EndpointRequestHeaders
  Modifier and Type
  Method
  Description
  `EndpointRequestHeaders`
  EdgeRouteRequestHeadersModule.GetCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `EndpointRequestHeaders`
  EdgeRouteRequestHeadersModule.ReplaceCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  Methods in com.ngrok.services that return types with arguments of type EndpointRequestHeaders
  Modifier and Type
  Method
  Description
  `CompletionStage<EndpointRequestHeaders>`
  EdgeRouteRequestHeadersModule.GetCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<EndpointRequestHeaders>`
  EdgeRouteRequestHeadersModule.ReplaceCallBuilder.`call()`
  Initiates the API call asynchronously.
  Methods in com.ngrok.services with parameters of type EndpointRequestHeaders
  Modifier and Type
  Method
  Description
  `EdgeRouteRequestHeadersModule.ReplaceCallBuilder`
  EdgeRouteRequestHeadersModule.ReplaceCallBuilder.`module(EndpointRequestHeaders module)`
  Sets the `module` parameter.
  `EdgesHttpsRoutes.CreateCallBuilder`
  EdgesHttpsRoutes.CreateCallBuilder.`requestHeaders(EndpointRequestHeaders requestHeaders)`
  request headers module configuration or `null`
  `EdgesHttpsRoutes.UpdateCallBuilder`
  EdgesHttpsRoutes.UpdateCallBuilder.`requestHeaders(EndpointRequestHeaders requestHeaders)`
  request headers module configuration or `null`
  Method parameters in com.ngrok.services with type arguments of type EndpointRequestHeaders
  Modifier and Type
  Method
  Description
  `EdgeRouteRequestHeadersModule.ReplaceCallBuilder`
  EdgeRouteRequestHeadersModule.ReplaceCallBuilder.`module(Optional<EndpointRequestHeaders> module)`
  Sets (or unsets) the `module` parameter.
  `EdgesHttpsRoutes.CreateCallBuilder`
  EdgesHttpsRoutes.CreateCallBuilder.`requestHeaders(Optional<EndpointRequestHeaders> requestHeaders)`
  request headers module configuration or `null`
  `EdgesHttpsRoutes.UpdateCallBuilder`
  EdgesHttpsRoutes.UpdateCallBuilder.`requestHeaders(Optional<EndpointRequestHeaders> requestHeaders)`
  request headers module configuration or `null`